Bug 836826

Summary: [abrt] gnome-terminal-3.4.1.1-1.fc17: g_object_notify: Process /usr/bin/gnome-terminal was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Cristian Ciupitu <cristian.ciupitu>
Component: gnome-terminalAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:c9b61885ce01788fcb2c26ca55089ea9b8b56437
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 00:09:18 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: maps
none
File: dso_list none

Description Cristian Ciupitu 2012-07-01 15:19:59 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-terminal
crash_function: g_object_notify
executable:     /usr/bin/gnome-terminal
kernel:         3.4.4-3.fc17.x86_64
pid:            1826
pwd:            /home/ciupicri
time:           Sun 01 Jul 2012 10:13:37 PM EEST
uid:            1000
username:       ciupicri

backtrace:      Text file, 22003 bytes
dso_list:       Text file, 6613 bytes
maps:           Text file, 31058 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/ciupicri/1

core_backtrace:
:31243d0d107bba586a96433c76c87a26db1e826c 0x157a6 g_object_notify libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x9a9ea gtk_adjustment_value_changed libgtk-3.so.0 -
:b248bbedbf6ef1cc89fe0853a14b5637b88a728c 0x310a0 - libvte2_90.so.9 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x4827b - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:986068be78827a73bf98ef4d4f23cc915f298fd6 0x136c3 - [exe] -

environ:
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_VTNR=1
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1592
:HOSTNAME=hermes.lizeanunet.tld
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:SHELL=/bin/bash
:HISTSIZE=21000
:QT_GRAPHICSSYSTEM_CHECKED=1
:HISTFILESIZE=21000
:USER=ciupicri
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/run/user/ciupicri/keyring-obLZrn/ssh
:USERNAME=ciupicri
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/ciupicri
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/ciupicri/.local/bin:/home/ciupicri/bin
:PWD=/home/ciupicri
:EDITOR=vim
:KDE_IS_PRELINKED=1
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=xfce
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/ciupicri
:XDG_SEAT=seat0
:LOGNAME=ciupicri
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-93CzhznENo,guid=181a92439110a61e16ae3c9300000022
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/ciupicri
:GLADE_CATALOG_PATH=:
:TSOCKS_CONF_FILE=/home/ciupicri/.tsocks.conf
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-ciupicri-WJvJ0p/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1614,unix/unix:/tmp/.ICE-unix/1614
:GNOME_KEYRING_CONTROL=/run/user/ciupicri/keyring-obLZrn
:GPG_AGENT_INFO=/run/user/ciupicri/keyring-obLZrn/gpg:0:1
:GNOME_KEYRING_PID=1619
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/gnome-terminal/1627-0-hermes.lizeanunet.tld_TIME81378

gconf_subtree:
: /apps/gnome-terminal/keybindings:
:  prev_tab = <Control>Page_Up
:  save_contents = disabled
:  reset = (no value set)
:  move_tab_left = <Ctrl><Shift>Page_Up
:  close_window = <Ctrl><Shift>q
:  zoom_in = <Ctrl>plus
:  switch_to_tab_1 = <Alt>1
:  switch_to_tab_2 = <Alt>2
:  switch_to_tab_3 = <Alt>3
:  switch_to_tab_4 = <Alt>4
:  switch_to_tab_5 = <Alt>5
:  switch_to_tab_6 = <Alt>6
:  switch_to_tab_7 = <Alt>7
:  help = F1
:  switch_to_tab_8 = <Alt>8
:  detach_tab = (no value set)
:  close_tab = <Ctrl><Shift>w
:  switch_to_tab_9 = <Alt>9
:  toggle_menubar = (no value set)
:  set_terminal_title = (no value set)
:  next_tab = <Control>Page_Down
:  copy = <Ctrl><Shift>c
:  new_tab = <Ctrl><Shift>t
:  reset_and_clear = (no value set)
:  zoom_out = <Ctrl>minus
:  new_profile = (no value set)
:  zoom_normal = <Ctrl>0
:  paste = <Ctrl><Shift>v
:  new_window = <Ctrl><Shift>n
:  move_tab_right = <Ctrl><Shift>Page_Down
:  switch_to_tab_11 = (no value set)
:  switch_to_tab_12 = (no value set)
:  full_screen = F11
:  switch_to_tab_10 = <Alt>0
: /apps/gnome-terminal/global:
:  confirm_window_close = true
:  default_profile = Default
:  use_mnemonics = true
:  use_menu_accelerators = true
:  active_encodings = [UTF-8,current]
:  profile_list = [Default]
: /apps/gnome-terminal/profiles:
:  /apps/gnome-terminal/profiles/Default:
:   cursor_shape = block
:   scrollback_lines = 512
:   allow_bold = true
:   scrollback_unlimited = false
:   scroll_background = true
:   backspace_binding = ascii-del
:   use_theme_colors = true
:   encoding = current
:   update_records = true
:   use_custom_default_size = false
:   login_shell = false
:   icon = 
:   background_image = 
:   background_darkness = 0.5
:   foreground_color = #000000000000
:   delete_binding = escape-sequence
:   scrollbar_position = right
:   use_system_font = true
:   use_custom_command = false
:   scroll_on_output = false
:   background_color = #FFFFFFFFDDDD
:   word_chars = -A-Za-z0-9,./?%&#:_=+@~
:   palette = #2E2E34343636:#CCCC00000000:#4E4E9A9A0606:#C4C4A0A00000:#34346565A4A4:#757550507B7B:#060698209A9A:#D3D3D7D7CFCF:#555557575353:#EFEF29292929:#8A8AE2E23434:#FCFCE9E94F4F:#72729F9FCFCF:#ADAD7F7FA8A8:#3434E2E2E2E2:#EEEEEEEEECEC
:   visible_name = Default
:   title = Terminal
:   default_show_menubar = true
:   default_size_rows = 24
:   font = Monospace 12
:   default_size_columns = 80
:   scroll_on_keystroke = true
:   silent_bell = false
:   exit_action = close
:   custom_command = 
:   background_type = solid
:   bold_color = #000000000000
:   cursor_blink_mode = system
:   bold_color_same_as_fg = true
:   title_mode = replace

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30942                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30942                30942                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/ciupicri/.xsession-errors
:pos:	404974
:flags:	0102002
:2:/home/ciupicri/.xsession-errors
:pos:	404974
:flags:	0102002
:3:socket:[25449]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[25878]
:pos:	0
:flags:	02000002
:6:socket:[25451]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[25880]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[25453]
:pos:	0
:flags:	02004002
:12:/dev/ptmx
:pos:	0
:flags:	0104002
:13:/dev/pts/0
:pos:	0
:flags:	0100002
:14:socket:[25882]
:pos:	0
:flags:	02
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/dev/ptmx
:pos:	0
:flags:	0104002
:17:/tmp/vteXPR3GW (deleted)
:pos:	3200
:flags:	0100002
:18:/tmp/vteJ1R3GW (deleted)
:pos:	832
:flags:	0100002
:19:/dev/pts/2
:pos:	0
:flags:	0100002
:20:/dev/ptmx
:pos:	0
:flags:	0104002
:21:/dev/ptmx
:pos:	0
:flags:	0104002
:22:/tmp/vteGLWRGW (deleted)
:pos:	5365
:flags:	0100002
:23:/dev/pts/3
:pos:	0
:flags:	0100002
:24:/dev/ptmx
:pos:	0
:flags:	0104002
:25:/dev/pts/4
:pos:	0
:flags:	0100002
:26:/dev/ptmx
:pos:	0
:flags:	0104002
:27:/tmp/vteSKKBHW (deleted)
:pos:	17066
:flags:	0100002
:28:/tmp/vte5JLBHW (deleted)
:pos:	8192
:flags:	0100002
:29:/tmp/vte4VLBHW (deleted)
:pos:	9248
:flags:	0100002
:30:/dev/pts/5
:pos:	0
:flags:	0100002
:31:/dev/ptmx
:pos:	0
:flags:	0104002
:32:/dev/pts/6
:pos:	0
:flags:	0100002
:33:/dev/ptmx
:pos:	0
:flags:	0104002
:34:/tmp/vteQCF1GW (deleted)
:pos:	5808
:flags:	0100002
:35:/tmp/vteDQG1GW (deleted)
:pos:	2336
:flags:	0100002
:36:/tmp/vteVMG1GW (deleted)
:pos:	4576
:flags:	0100002
:37:/tmp/vteTQWRGW (deleted)
:pos:	1920
:flags:	0100002
:38:/tmp/vteC7XAHW (deleted)
:pos:	5456
:flags:	0100002
:39:/tmp/vteRW32GW (deleted)
:pos:	64
:flags:	0100002
:40:/tmp/vteWCYAHW (deleted)
:pos:	7803
:flags:	0100002
:41:/dev/pts/7
:pos:	0
:flags:	0100002
:42:/dev/ptmx
:pos:	0
:flags:	0104002
:43:/dev/pts/11
:pos:	0
:flags:	0100002

var_log_messages:
:Jun 26 03:22:56 hermes yum[1252]: Installed: gnome-terminal-3.4.1.1-1.fc17.x86_64
:Jul  1 22:13:37 hermes kernel: [ 2203.143434] gnome-terminal[1826]: segfault at 1 ip 00000035e4e157a6 sp 00007fff1344a780 error 4 in libgobject-2.0.so.0.3200.3[35e4e00000+4b000]
:Jul  1 22:13:37 hermes abrt[6943]: Saved core dump of pid 1826 (/usr/bin/gnome-terminal) to /var/spool/abrt/ccpp-2012-07-01-22:13:37-1826 (47316992 bytes)

xsession_errors:
:(gnome-terminal:1826): Gtk-WARNING **: Theme parsing error: gtk.css:84:30: Failed to import: Error opening file: No such file or directory
:(gnome-terminal:1826): Gtk-WARNING **: Theme parsing error: gtk.css:85:38: Failed to import: Error opening file: No such file or directory
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:1826): GLib-GObject-CRITICAL **: g_object_notify: assertion `G_IS_OBJECT (object)' failed
:(gnome-terminal:7083): Gtk-WARNING **: Theme parsing error: gtk.css:84:30: Failed to import: Error opening file: No such file or directory
:(gnome-terminal:7083): Gtk-WARNING **: Theme parsing error: gtk.css:85:38: Failed to import: Error opening file: No such file or directory
Comment 1 Cristian Ciupitu 2012-07-01 15:20:04 EDT
Created attachment 595557 [details]
File: backtrace
Comment 2 Cristian Ciupitu 2012-07-01 15:20:07 EDT
Created attachment 595558 [details]
File: maps
Comment 3 Cristian Ciupitu 2012-07-01 15:20:09 EDT
Created attachment 595559 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 20:26:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 00:09:21 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.